i.his.rgb(1)

NAME
i.his.rgb - Transforms raster maps from HIS (Hue-Intensity-Saturation) color space to RGB (Red-Green-Blue) color space.

KEYWORDS
imagery, color transformation, RGB, HIS, IHS

SYNOPSIS
i.his.rgb
i.his.rgb --help
i.his.rgb hue=name intensity=name saturation=name red=name green=name blue=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

hue=name [required]
    Name of input raster map (hue)

intensity=name [required]
    Name of input raster map (intensity)

saturation=name [required]
    Name of input raster map (saturation)

red=name [required]
    Name for output raster map (red)

green=name [required]
    Name for output raster map (green)

blue=name [required]
    Name for output raster map (blue)

DESCRIPTION
i.his.rgb is an image processing program that processes three input raster map layers as hue, intensity and saturation components and produces three output raster map layers representing the red, green and blue components of this data. The output raster map layers are created by a standard hue-intensity-saturation (HIS) to red-green-blue (RGB) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region and mask settings are respected.

NOTES
It is not possible to process three bands with i.his.rgb and then exactly recover the original bands with i.rgb.his. This is due to loss of precision because of integer computations and rounding. Tests have shown that more than 70% of the original cell values will be reproduced exactly after transformation in both directions and that 99% will be within plus or minus 1. A few cell values may differ significantly from their original values.

SEE ALSO
i.rgb.his, r.colors

AUTHOR
David Satnik, GIS Laboratory, Central Washington University

with acknowledgements to Ali Vali, Univ. of Texas Space Research Center, for the core routine.

SOURCE CODE

Available at: i.his.rgb source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual